<template lang="">
<navbar/>
  <div class="body">
    <h1 class="text-4xl text-center mt-12 mr-24 ml-24 font-bold">
      Menú Asistencia
    </h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: menuAsistenciaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Asistencia
        </a>
      </li>
      
    </ul>
  </div>
    <div
      class="flex flex-col w-auto items-center min-w-min ml-24 mr-24 mt-20 rounded-3xl"
    >
      <button
        @click="$router.push('SeleccionarMateria')"
        class="btn btn-primary flex text-2xl mt-24 w-4/12 h-24 rounded-full"
      >
        Registrar Asistencia
      </button>

      <button
        @click="$router.push('ModificarAsistEstudiante')"
        class="btn btn-primary flex text-2xl mt-12 w-4/12 h-24 rounded-full"
      >
        Modificar Asistencia
      </button>
    </div>
  </div>
</template>
<script>
import axios from 'axios'; 
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  data(){
    return{
      menuAsistenciaURL:""
    }
   
  },
  mounted(){
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {

          if (response.data.rol == "DOCENTE") {
            this.menuAsistenciaURL=
              "/MainAsistenciaDocente"
          } else if (response.data.rol == "ALUMNO") {
            this.menuAsistenciaURL=
              "/MainAsistenciaEstudiante"
          }

        });
    }
};
</script>
<style>
.body {
  height: 100vh;
}
</style>
